<template>
  <click-button
    :disabled="disabled"
    @click="$router.push({path: routePath})"
  >
    <template slot="content">
      <i
        v-if="iconDirection==='left'"
        class="fa fa-fw fa-arrow-circle-left"
      />
      {{ text }}
      <i
        v-if="iconDirection!=='left'"
        class="fa fa-fw fa-arrow-circle-right"
      />
    </template>
  </click-button>
</template>

<script>
import ClickButton from "../Button/ClickButton";
export default {
  name: 'NavigationButton',
  components: {ClickButton},
  props: {
    routePath: {
      type: String,
      default: ''
    },
    iconDirection: {
      type: String,
      default: ''
    },
    text: {
      type: String,
      default: ''
    },
    disabled: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style scoped>
button {
  margin-right: 10px;
}
</style>